DISTRO_CODE       = lenny
BUILD_PACKAGES    =
BUILD_PACKAGES   += build-essential
BUILD_PACKAGES   += dpatch
BUILD_PACKAGES   += fping
BUILD_PACKAGES   += smbclient # otherwise missing path in util.pm
BUILD_PACKAGES   += dnsutils # nagios-plugins check_dns
BUILD_PACKAGES   += git-buildpackage
BUILD_PACKAGES   += libboost-dev
BUILD_PACKAGES   += libevent-dev
BUILD_PACKAGES   += libgd2-xpm-dev
BUILD_PACKAGES   += libglib2.0-dev
BUILD_PACKAGES   += libgnutls-dev
BUILD_PACKAGES   += libldap2-dev
BUILD_PACKAGES   += libltdl3-dev
BUILD_PACKAGES   += libmcrypt-dev
BUILD_PACKAGES   += libmysqlclient15-dev
BUILD_PACKAGES   += libpq-dev
BUILD_PACKAGES   += libpango1.0-dev
BUILD_PACKAGES   += libperl-dev
BUILD_PACKAGES   += libreadline5-dev
BUILD_PACKAGES   += libssl-dev
BUILD_PACKAGES   += libxml2-dev
BUILD_PACKAGES   += libsqlite3-dev # needed by Python (for sqlite3 module)
BUILD_PACKAGES   += patch
BUILD_PACKAGES   += uuid-dev
BUILD_PACKAGES   += snmp
BUILD_PACKAGES   += apache2-dev  # compiling mod_python
BUILD_PACKAGES   += apache2      # compiling mod_python
BUILD_PACKAGES   += libcurl4-openssl-dev
BUILD_PACKAGES   += libradiusclient-ng-dev
BUILD_PACKAGES   += dietlibc-dev # is not really needed, but useful for cmk components
OS_PACKAGES       =
OS_PACKAGES      += time # needed for mk-job
OS_PACKAGES      += traceroute # needed for Check_MK parent scan
OS_PACKAGES      += curl
OS_PACKAGES      += dialog
OS_PACKAGES      += dnsutils
OS_PACKAGES      += fping
OS_PACKAGES      += graphviz
OS_PACKAGES      += libapache2-mod-fcgid
OS_PACKAGES      += libapache2-mod-proxy-html
OS_PACKAGES      += libboost-program-options1.35.0
OS_PACKAGES      += libdbi0
OS_PACKAGES      += libevent1
OS_PACKAGES      += libgd2-xpm
OS_PACKAGES      += libltdl3
OS_PACKAGES      += libnet-snmp-perl
OS_PACKAGES      += libpango1.0-0
OS_PACKAGES      += libperl5.10
OS_PACKAGES      += libreadline5
OS_PACKAGES      += libsnmp-perl
OS_PACKAGES      += libuuid1
OS_PACKAGES      += mysql-server
OS_PACKAGES      += patch
OS_PACKAGES      += php5
OS_PACKAGES      += php5-cgi
OS_PACKAGES      += php5-cli
OS_PACKAGES      += php5-gd
OS_PACKAGES      += php5-mcrypt
OS_PACKAGES      += php5-sqlite
OS_PACKAGES      += php-pear
OS_PACKAGES      += rsync
OS_PACKAGES      += snmp
OS_PACKAGES      += unzip
OS_PACKAGES      += xinetd
OS_PACKAGES      += libradiusclient-ng2
USERADD_OPTIONS   = 
ADD_USER_TO_GROUP = gpasswd -a %(user)s %(group)s
PACKAGE_INSTALL   = aptitude -y update ; aptitude -y install
ACTIVATE_INITSCRIPT = update-rc.d %s defaults
APACHE_CONF_DIR   = /etc/apache2/conf.d
APACHE_INIT_NAME  = apache2
APACHE_USER       = www-data
APACHE_GROUP      = www-data
APACHE_BIN        = /usr/sbin/apache2
APACHE_CTL        = /usr/sbin/apache2ctl
APACHE_MODULE_DIR = /usr/lib/apache2/modules
APACHE_MODULE_DIR_64 = /usr/lib/apache2/modules
APACHE_FCGID_MODULE = mod_fcgid.so
APACHE_ENMOD      = a2enmod %s
PHP_FCGI_BIN	  = /usr/bin/php5-cgi
BECOME_ROOT       = su -c
ARCH              = $(shell dpkg --print-architecture)
MOUNT_OPTIONS     =
INIT_CMD          = /etc/init.d/%(name)s %(action)s
